# Uses of Interface
com.sun.mirror.util.TypeVisitor

Packages that use TypeVisitor
Package
Description
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of TypeVisitor in com.sun.mirror.type

Methods in com.sun.mirror.type with parameters of type TypeVisitor
Modifier and Type
Method
Description
`void`
TypeMirror.`accept(TypeVisitor v)`
Applies a visitor to this type.

## Uses of TypeVisitor in com.sun.mirror.util

Classes in com.sun.mirror.util that implement TypeVisitor
Modifier and Type
Class
Description
`class`
`SimpleTypeVisitor`
A simple visitor for types.